Bug 100652 - ODFF function name and Add-In function name are swapped.
Summary: ODFF function name and Add-In function name are swapped.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2016-06-28 08:15 UTC by raal
Modified: 2018-09-27 10:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-06-28 08:15:01 UTC
Duration function defined in help:
http://vm173.documentfoundation.org/text/scalc/01/04060119.xhp#bm_id3154671

Duration function defined in ODFF> 6.12.18DURATION
Summary: Returns the Macaulay duration of a fixed interest security in years
Syntax: DURATION( Date Settlement ; Date Maturity ; Number Coupon ; Number Yield ; Number Frequency [ ; Basis Basis = 0 ] )
Returns: Number
Constraints: Yield >=0, Coupon >= 0, Settlement <= Maturity; Frequency = 1, 2, 4
Semantics: Computes the Macaulay duration, given:
Settlement the date of purchase of the securityMaturity	the date when the security matures

DURATION_ADD function
https://help.libreoffice.org/Calc/Financial_Functions_Part_One#DURATION_ADD

So ODF>duration = Calc>DURATION_ADD. It's confusing.
Comment 1 Winfried Donkers (retired) 2016-06-28 10:01:55 UTC
Apart from DURATION and DURATION_ADD, this problem applies to more functions, e.g.
CONVERT and CONVERT_ADD.

Given the nature of the problem, it would be best to fix all these functions in one batch.
I intend to fix this, once I can spare time for it.
Comment 2 QA Administrators 2018-07-24 02:36:30 UTC Comment hidden (obsolete)
Comment 3 himajin100000 2018-09-24 01:01:06 UTC
can we close this bug as RESOLVED FIXED? I cannot reproduce this probably due to the following fix.

https://opengrok.libreoffice.org/diff/core/scaddins/source/analysis/analysishelper.cxx?r1=%2Fcore%2Fscaddins%2Fsource%2Fanalysis%2Fanalysishelper.cxx%402fd00e59&r2=%2Fcore%2Fscaddins%2Fsource%2Fanalysis%2Fanalysishelper.cxx%40ced79363

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 3208fcb3a36d75d6290d9c548430682f153b09db
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-20_22:43:20
Locale: en-US (ja_JP); Calc: CL
Comment 4 Winfried Donkers (retired) 2018-09-25 05:59:26 UTC
(In reply to himajin100000 from comment #3)
> can we close this bug as RESOLVED FIXED? I cannot reproduce this probably
> due to the following fix.
> 
> https://opengrok.libreoffice.org/diff/core/scaddins/source/analysis/
> analysishelper.
> cxx?r1=%2Fcore%2Fscaddins%2Fsource%2Fanalysis%2Fanalysishelper.
> cxx%402fd00e59&r2=%2Fcore%2Fscaddins%2Fsource%2Fanalysis%2Fanalysishelper.
> cxx%40ced79363
> 
> Version: 6.2.0.0.alpha0+ (x64)
> Build ID: 3208fcb3a36d75d6290d9c548430682f153b09db
> CPU threads: 4; OS: Windows 10.0; UI render: default; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-20_22:43:20
> Locale: en-US (ja_JP); Calc: CL

As that particular commit is from Eike, I've assigned this bug to him, and I suspect that he'll either close this bug report or will finalise the fix(es).
Comment 5 Eike Rathke 2018-09-27 10:35:28 UTC
Commit dbbab7b1b0c2c1c43cc52b620212fb29c7b99bff renamed DURATION to PDURATION and DURATION_ADD to DURATION.

Commit ced79363cc30f225e766195ace4f892754fc85a0 renamed the (other) CONVERT to CONVERT_OOO and CONVERT_ADD to the real CONVERT.